IGNITE-12083: Change release scripts according pre-build DEB/RPM folders (#5)


diff --git "a/scripts/release_2\133bintray\135upload_packages.sh" "b/scripts/release_2\133bintray\135upload_packages.sh"
index 711f991..78d47c7 100644
--- "a/scripts/release_2\133bintray\135upload_packages.sh"
+++ "b/scripts/release_2\133bintray\135upload_packages.sh"
@@ -83,7 +83,7 @@
 #  * publish
 #
 echo "1. Moving RPM packages to Bintray"
-cd packaging/pkg
+cd packages/pkg
 for rpm in *.rpm; do
     package_name=$(echo ${rpm} | \
                        sed -r "s|(.*)-${ignite_version}.*|\1|")    # Get RPM package name
@@ -110,7 +110,7 @@
 #  * publish
 #
 echo "2. Moving DEB packages to Bintray"
-cd packaging/pkg
+cd packages/pkg
 for deb in *.deb; do
     package_name=$(echo ${deb} |\
                        cut -f1 -d_)                    # Get DEB package name
diff --git "a/scripts/vote_3_step_1\133packages\135\133optional\135build.sh" "b/scripts/vote_3_step_1\133packages\135\133optional\135build.sh"
new file mode 100644
index 0000000..606509f
--- /dev/null
+++ "b/scripts/vote_3_step_1\133packages\135\133optional\135build.sh"
@@ -0,0 +1,47 @@
+#!/usr/bin/env bash
+set -o nounset
+set -o errexit
+set -o pipefail
+set -o errtrace
+set -o functrace
+
+
+chmod +x release.properties
+. ./release.properties
+
+
+#
+# Check GPG requirements
+#
+if [ "$(gpg --version | head -1 | sed -r 's|^.*([0-9]+)\.[0-9]+\.[0-9]+$|\1|')" != "2" ]; then
+    echo "[ERROR] Wrong GPG version: $(gpg --version | head -1), have to be 2.x and higher"
+    exit 1
+fi
+gpg_key="$(gpg --list-keys | grep -C1 "^pub" | tail -1 | sed -r 's|^\ +||')"
+
+
+#
+# Build packages
+#
+if [ -d packages ]; then
+    rm -rf packages
+fi
+cp -rfv git/packages ./
+cp -rfv svn/vote/apache-ignite-${ignite_version}-bin.zip packages/
+bash packages/package.sh --rpm
+bash packages/package.sh --deb
+
+
+#
+# Sign packages
+#
+rpm --define "_gpg_name ${gpg_key}" --addsign packages/*.rpm
+dpkg-sig -k ${gpg_key} --sign builder packages/*.deb
+
+
+#
+# Prepare SVN import directory
+#
+mkdir -pv packages/pkg
+mv -fv packages/{*.rpm,*.deb} packages/pkg
+
diff --git "a/scripts/vote_3_step_1\133packages\135build.sh" "b/scripts/vote_3_step_1\133packages\135build.sh"
deleted file mode 100644
index e965bf9..0000000
--- "a/scripts/vote_3_step_1\133packages\135build.sh"
+++ /dev/null
@@ -1,47 +0,0 @@
-#!/usr/bin/env bash
-set -o nounset
-set -o errexit
-set -o pipefail
-set -o errtrace
-set -o functrace
-
-
-chmod +x release.properties
-. ./release.properties
-
-
-#
-# Check GPG requirements
-#
-if [ "$(gpg --version | head -1 | sed -r 's|^.*([0-9]+)\.[0-9]+\.[0-9]+$|\1|')" != "2" ]; then
-    echo "[ERROR] Wrong GPG version: $(gpg --version | head -1), have to be 2.x and higher"
-    exit 1
-fi
-gpg_key="$(gpg --list-keys | grep -C1 "^pub" | tail -1 | sed -r 's|^\ +||')"
-
-
-#
-# Build packages
-#
-if [ -d packaging ]; then
-    rm -rf packaging
-fi
-cp -rfv git/packaging ./
-cp -rfv svn/vote/apache-ignite-${ignite_version}-bin.zip packaging/
-bash packaging/package.sh --rpm
-bash packaging/package.sh --deb
-
-
-#
-# Sign packages
-#
-rpm --define "_gpg_name ${gpg_key}" --addsign packaging/*.rpm
-dpkg-sig -k ${gpg_key} --sign builder packaging/*.deb
-
-
-#
-# Prepare SVN import directory
-#
-mkdir -pv packaging/pkg
-mv -fv packaging/{*.rpm,*.deb} packaging/pkg
-
diff --git "a/scripts/vote_3_step_3\133svn\135deploy_artifacts.sh" "b/scripts/vote_3_step_3\133svn\135deploy_artifacts.sh"
index 7f48ecd..dbc60ec 100644
--- "a/scripts/vote_3_step_3\133svn\135deploy_artifacts.sh"
+++ "b/scripts/vote_3_step_3\133svn\135deploy_artifacts.sh"
@@ -14,7 +14,8 @@
 # Uncomment subsequent line in case you want to remove incorrectly prepared RC
 #svn rm -m "Removing redundant Release" https://dist.apache.org/repos/dist/dev/ignite/$ignite_version$rc_name || true
 svn import svn/vote https://dist.apache.org/repos/dist/dev/ignite/$ignite_version$rc_name -m "New RC ${ignite_version}${rc_name}: Binaries"
-svn import packaging/pkg https://dist.apache.org/repos/dist/dev/ignite/packages_$ignite_version$rc_name -m "New RC ${ignite_version}${rc_name}: Packages"
+
+svn import packages/pkg https://dist.apache.org/repos/dist/dev/ignite/packages_$ignite_version$rc_name -m "New RC ${ignite_version}${rc_name}: Packages"
 
 
 #